# $Revision: 1.11 $, $Date: 2011/08/11 19:15:50 $
Summary:	An automatic disk mounting service using udisks
Summary(pl.UTF-8):	Usługa do automatycznego montowania dysków przy użyciu udisks
Name:		udiskie
Version:	0.3.7
Release:	4
License:	MIT
Group:		Applications
Source0:	http://bitbucket.org/byronclark/udiskie/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	9f2320d5ee4b8ed8903aec55f12c4d40
URL:		http://bitbucket.org/byronclark/udiskie
BuildRequires:	asciidoc
BuildRequires:	rpm-pythonprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-dbus
Requires:	python-modules
Requires:	python-pygobject
Requires:	python-pynotify
Requires:	udisks
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An automatic disk mounting service using udisks.

%description -l pl.UTF-8
Usługa do automatycznego montowania dysków przy użyciu udisks.

%prep
%setup -q

# to autogenerate python interpreter dep
%{__sed} -i -e '1s,^#!.*python,#!%{__python},' bin/*

%build
%{__python} setup.py build

%{__make} -C doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

install -p bin/udiskie $RPM_BUILD_ROOT%{_bindir}/udiskie
install -p bin/udiskie-umount $RPM_BUILD_ROOT%{_bindir}/udiskie-umount
cp -a doc/%{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/udiskie
%attr(755,root,root) %{_bindir}/udiskie-umount
%{py_sitescriptdir}/%{name}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/udiskie-*.egg-info
%endif
%{_mandir}/man8/udiskie.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udiskie.spec,v $
Revision 1.11  2011/08/11 19:15:50  glen
- python-dbus, python-pygobject, python-pynotify

Revision 1.10  2011/08/11 18:59:12  glen
- python-modules for _weakrefset

Revision 1.9  2011/08/11 18:57:43  glen
- needs /usr/bin/python

Revision 1.8  2011/05/21 13:57:06  marti
- up to 0.3.7

Revision 1.7  2011/01/03 21:22:57  uzsolt
- 0.3.6

Revision 1.6  2010/10/22 13:02:35  glen
- pldize alot

Revision 1.5  2010/10/22 10:36:11  atler
- updated to: 0.3.5

Revision 1.4  2010/10/21 21:13:34  uzsolt
- create manpage
- asciidoc BR

Revision 1.3  2010/10/21 20:44:53  uzsolt
- udisks R

Revision 1.2  2010/10/15 00:28:29  atler
- noarch package
- drop unneeded python-devel

Revision 1.1  2010/10/12 22:28:06  atler
- new
